Bug 1234722 - sssd ad provider fails to start in rhel7.2
Summary: sssd ad provider fails to start in rhel7.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: rc
: ---
Assignee: Sumit Bose
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-23 06:43 UTC by Kaushik Banerjee
Modified: 2015-11-19 11:39 UTC (History)
10 users (show)

Fixed In Version: sssd-1.13.0-5.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 11:39:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2355 normal SHIPPED_LIVE Low: sssd security, bug fix, and enhancement update 2015-11-19 10:27:42 UTC

Description Kaushik Banerjee 2015-06-23 06:43:34 UTC
Description of problem:
sssd ad provider fails to start

Version-Release number of selected component (if applicable):
sssd-1.13.0-0.1.alpha.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. realm join to a AD Server
2. Check sssd status
3.

Actual results:
Job for sssd.service failed. See "systemctl status sssd.service" and "journalctl -xe" for details.

Domain log shows:
(Tue Jun 23 02:32:18 2015) [sssd[be[sssdad2012r2.com]]] [main] (0x0010): Could not initialize backend [79]
(Tue Jun 23 02:32:18 2015) [sssd[be[sssdad2012r2.com]]] [load_backend_module] (0x0010): Unable to load ad module with path (/usr/lib64/sssd/libsss_ad.so), error: libwbclient.so.0: cannot open shared object file: No such file or directory
(Tue Jun 23 02:32:18 2015) [sssd[be[sssdad2012r2.com]]] [be_process_init] (0x0010): fatal error initializing data providers

Expected results:


Additional info:

Comment 2 Sumit Bose 2015-06-23 07:00:24 UTC
Can you check is either samba's libwbclient package or SSSD'd sssd-libwbclient package is installed and which package version is used?

Comment 3 Kaushik Banerjee 2015-06-23 07:06:46 UTC
# rpm -qf /usr/lib64/sssd/modules/libwbclient.so.0
sssd-libwbclient-1.13.0-0.1.alpha.el7.x86_64

# rpm -qf /usr/lib64/samba/wbclient/libwbclient.so.0
libwbclient-4.1.12-23.el7_1.x86_64

Comment 5 Kaushik Banerjee 2015-06-29 16:58:25 UTC
I was finally able to get a rhel7.2 system with samba-4.2( libwbclient-4.2.2-2.el7.x86_64) installed.

sssd starts up fine now.

Comment 7 Amith 2015-09-15 10:43:45 UTC
Verified the bug on sssd Version: sssd-1.13.0-26.el7.x86_64

Steps followed during verification:

1. Install older version's of samba rpm's:
libwbclient-0:4.1.12-22.el7     
samba-libs-0:4.1.12-22.el7      
samba-common-0:4.1.12-22.el7     
libsmbclient-0:4.1.12-22.el7     
samba-client-0:4.1.12-22.el7     
samba-0:4.1.12-22.el7    

2. Install latest SSSD package. Yum install should automatically pick latest samba-4.2 version.

# yum install sssd 
Loaded plugins: product-id, search-disabled-repos, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Resolving Dependencies
--> Running transaction check
---> Package sssd.x86_64 0:1.13.0-26.el7 will be installed
--> Processing Dependency: sssd-ad = 1.13.0-26.el7 for package: sssd-1.13.0-26.el7.x86_64
--> Processing Dependency: sssd-common = 1.13.0-26.el7 for package: sssd-1.13.0-26.el7.x86_64
--> Processing Dependency: sssd-common-pac = 1.13.0-26.el7 for package: sssd-1.13.0-26.el7.x86_64
.
.
--> Running transaction check
---> Package libwbclient.x86_64 0:4.1.12-22.el7 will be updated
--> Processing Dependency: libwbclient = 4.1.12-22.el7 for package: samba-4.1.12-22.el7.x86_64
--> Processing Dependency: libwbclient = 4.1.12-22.el7 for package: samba-libs-4.1.12-22.el7.x86_64
--> Processing Dependency: libwbclient = 4.1.12-22.el7 for package: samba-common-4.1.12-22.el7.x86_64
---> Package libwbclient.x86_64 0:4.2.3-7.el7 will be an update
--> Processing Dependency: samba-client-libs = 4.2.3-7.el7 for package: libwbclient-4.2.3-7.el7.x86_64
--> Processing Dependency: libreplace-samba4.so(SAMBA_4.2.3)(64bit) for package: libwbclient-4.2.3-7.el7.x86_64
--> Processing Dependency: libreplace-samba4.so()(64bit) for package: libwbclient-4.2.3-7.el7.x86_64
.
.
---> Package samba-common.noarch 0:4.2.3-7.el7 will be an update
---> Package samba-libs.x86_64 0:4.1.12-22.el7 will be updated
---> Package samba-libs.x86_64 0:4.2.3-7.el7 will be an update
--> Running transaction check
---> Package libsmbclient.x86_64 0:4.1.12-22.el7 will be updated
---> Package libsmbclient.x86_64 0:4.2.3-7.el7 will be an update
---> Package samba-client.x86_64 0:4.1.12-22.el7 will be updated
---> Package samba-client.x86_64 0:4.2.3-7.el7 will be an update
--> Processing Dependency: libarchive.so.13()(64bit) for package: samba-client-4.2.3-7.el7.x86_64
---> Package samba-common-libs.x86_64 0:4.2.3-7.el7 will be installed
.
.
Installed:
sssd.x86_64 0:1.13.0-26.el7                                                    

Dependency Installed:
  libarchive.x86_64 0:3.1.2-7.el7                   samba-client-libs.x86_64 0:4.2.3-7.el7            samba-common-libs.x86_64 0:4.2.3-7.el7          
  samba-common-tools.x86_64 0:4.2.3-7.el7           sssd-ad.x86_64 0:1.13.0-26.el7                    sssd-client.x86_64 0:1.13.0-26.el7              
  sssd-common.x86_64 0:1.13.0-26.el7                sssd-common-pac.x86_64 0:1.13.0-26.el7            sssd-ipa.x86_64 0:1.13.0-26.el7                 
  sssd-krb5.x86_64 0:1.13.0-26.el7                  sssd-krb5-common.x86_64 0:1.13.0-26.el7           sssd-ldap.x86_64 0:1.13.0-26.el7                
  sssd-proxy.x86_64 0:1.13.0-26.el7                

Dependency Updated:
  libsmbclient.x86_64 0:4.2.3-7.el7      libwbclient.x86_64 0:4.2.3-7.el7      samba.x86_64 0:4.2.3-7.el7      samba-client.x86_64 0:4.2.3-7.el7     
  samba-common.noarch 0:4.2.3-7.el7      samba-libs.x86_64 0:4.2.3-7.el7

Comment 8 errata-xmlrpc 2015-11-19 11:39:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2355.html


Note You need to log in before you can comment on or make changes to this bug.